# CPP-SDL-Template

A template for new C++ SDL projects in vsCode

vsCode Extensions:  
clangd  
CodeLLDB  

premake5 is used to create the Makefile  
.ecc is used by premake5 to create compile_commands.json for clangd

usage:  
in premake5.lua change "workspace" and "project" variable  
in .vscode/launch.json change "program" to the same name as used in the premake5.lua file above

use the command "premake5 vs2022" to create VS files. (not tested)

git setup:  
git config --global user.name "Name here"  
git config --global user.email "email@test.eu"  
git config --global core.sshCommand 'ssh -i ~/.ssh/git'  
sshCommand is only needed for a non standard ssh-key name  
the global flag is optional and shouldn't be used for the sshCommand if other git servers use different settings  
the ssh setup only works for repositories which have been cloned via ssh  

install dependencies on openSuse:  
sudo zypper install SDL2*-devel  
sudo zypper install rapidjson-devel  
other linker:  
sudo zypper install binutils-gold  
